# Statsig Resource Provider

The Statsig Resource Provider lets you manage [Statsig](https://statsig.com) resources.

## Installing

This package is available for several languages/platforms:

### Node.js (JavaScript/TypeScript)

To use from JavaScript or TypeScript in Node.js, install using either `npm`:

```bash
npm install @statsig/pulumi-statsig
```

or `yarn`:

```bash
yarn add @statsig/pulumi-statsig
```

### Python

To use from Python, install using `pip`:

```bash
pip install pulumi_statsig
```

### Go

To use from Go, use `go get` to grab the latest version of the library:

```bash
go get github.com/statsig-io/pulumi-statsig/sdk/go/...
```

### .NET

To use from .NET, install using `dotnet add package`:

```bash
dotnet add package Pulumi.Statsig
```

## Configuration

The following configuration points are available for the `statsig` provider:

- `statsig:console_api_key` (environment: `CONSOLE_API_KEY`) - the Statsig console API key to access resources.

## Reference

For detailed reference documentation, please visit [the Pulumi registry](https://www.pulumi.com/registry/packages/statsig/api-docs/).
